<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Crazyflie plugin for ARGoS: argos::CQTOpenGLCrazyflie Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Crazyflie plugin for ARGoS
   </div>
   <div id="projectbrief">ADARS project -- PCOG / SnT / University of Luxembourg</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceargos.html">argos</a></li><li class="navelem"><a class="el" href="classargos_1_1CQTOpenGLCrazyflie.html">CQTOpenGLCrazyflie</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="classargos_1_1CQTOpenGLCrazyflie-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">argos::CQTOpenGLCrazyflie Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="qtopengl__crazyflie_8h_source.html">src/plugins/robots/crazyflie/simulator/qtopengl_crazyflie.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2c07fba7ae2210de23e524c0d1714891"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CQTOpenGLCrazyflie.html#a2c07fba7ae2210de23e524c0d1714891">CQTOpenGLCrazyflie</a> ()</td></tr>
<tr class="separator:a2c07fba7ae2210de23e524c0d1714891"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58825ea1f041f6375485674bbf920496"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CQTOpenGLCrazyflie.html#a58825ea1f041f6375485674bbf920496">~CQTOpenGLCrazyflie</a> ()</td></tr>
<tr class="separator:a58825ea1f041f6375485674bbf920496"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1755b5f629e574633bc962b465b5b92a"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CQTOpenGLCrazyflie.html#a1755b5f629e574633bc962b465b5b92a">Draw</a> (<a class="el" href="classargos_1_1CCrazyflieEntity.html">CCrazyflieEntity</a> &amp;c_entity)</td></tr>
<tr class="separator:a1755b5f629e574633bc962b465b5b92a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a84f7a6477e0697c9fdcc84d7e783a8c4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CQTOpenGLCrazyflie.html#a84f7a6477e0697c9fdcc84d7e783a8c4">DrawBody</a> ()</td></tr>
<tr class="separator:a84f7a6477e0697c9fdcc84d7e783a8c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6ec68c13ecbc9286a1d16c3c420adbe"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CQTOpenGLCrazyflie.html#ab6ec68c13ecbc9286a1d16c3c420adbe">DrawRods</a> ()</td></tr>
<tr class="separator:ab6ec68c13ecbc9286a1d16c3c420adbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a209475f836b844cf62e905d928267f95"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CQTOpenGLCrazyflie.html#a209475f836b844cf62e905d928267f95">DrawPropellers</a> ()</td></tr>
<tr class="separator:a209475f836b844cf62e905d928267f95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72b9e03a92628f46c2d3ec56624e8beb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CQTOpenGLCrazyflie.html#a72b9e03a92628f46c2d3ec56624e8beb">DrawCpuLED</a> ()</td></tr>
<tr class="separator:a72b9e03a92628f46c2d3ec56624e8beb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f76c917dfc433890b44d17c3dd7d16e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CQTOpenGLCrazyflie.html#a3f76c917dfc433890b44d17c3dd7d16e">SetLEDMaterial</a> (GLfloat f_red, GLfloat f_green, GLfloat f_blue)</td></tr>
<tr class="separator:a3f76c917dfc433890b44d17c3dd7d16e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a103605e46b7ae5a2b2357ea28f1f163d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CQTOpenGLCrazyflie.html#a103605e46b7ae5a2b2357ea28f1f163d">SetBodyMaterial</a> ()</td></tr>
<tr class="separator:a103605e46b7ae5a2b2357ea28f1f163d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad66a8a0045d9bdedaaa4fd73a7e0d089"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CQTOpenGLCrazyflie.html#ad66a8a0045d9bdedaaa4fd73a7e0d089">SetRodMaterial</a> ()</td></tr>
<tr class="separator:ad66a8a0045d9bdedaaa4fd73a7e0d089"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2481099216a43ba5b54d7f5c8de3338f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CQTOpenGLCrazyflie.html#a2481099216a43ba5b54d7f5c8de3338f">SetPropellerMaterial</a> ()</td></tr>
<tr class="separator:a2481099216a43ba5b54d7f5c8de3338f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40d23b13d0ce2f4cb18b6cd307490475"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CQTOpenGLCrazyflie.html#a40d23b13d0ce2f4cb18b6cd307490475">SetArrowMaterial</a> ()</td></tr>
<tr class="separator:a40d23b13d0ce2f4cb18b6cd307490475"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51a25256872be69602a3df5a7bd815d8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CQTOpenGLCrazyflie.html#a51a25256872be69602a3df5a7bd815d8">MakeRod</a> (GLfloat angle)</td></tr>
<tr class="separator:a51a25256872be69602a3df5a7bd815d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0617308ac3f3ab2a43d8ea17184ad97"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CQTOpenGLCrazyflie.html#ad0617308ac3f3ab2a43d8ea17184ad97">MakeRotor</a> (GLfloat offset)</td></tr>
<tr class="separator:ad0617308ac3f3ab2a43d8ea17184ad97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c35a2f74cdfbfdf44478d0b78f0bbbc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CQTOpenGLCrazyflie.html#a3c35a2f74cdfbfdf44478d0b78f0bbbc">MakePropeller</a> (GLfloat angle, GLfloat offset)</td></tr>
<tr class="separator:a3c35a2f74cdfbfdf44478d0b78f0bbbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a2c07fba7ae2210de23e524c0d1714891"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c07fba7ae2210de23e524c0d1714891">&#9670;&nbsp;</a></span>CQTOpenGLCrazyflie()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">argos::CQTOpenGLCrazyflie::CQTOpenGLCrazyflie </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a58825ea1f041f6375485674bbf920496"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58825ea1f041f6375485674bbf920496">&#9670;&nbsp;</a></span>~CQTOpenGLCrazyflie()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">argos::CQTOpenGLCrazyflie::~CQTOpenGLCrazyflie </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a1755b5f629e574633bc962b465b5b92a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1755b5f629e574633bc962b465b5b92a">&#9670;&nbsp;</a></span>Draw()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CQTOpenGLCrazyflie::Draw </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classargos_1_1CCrazyflieEntity.html">CCrazyflieEntity</a> &amp;&#160;</td>
          <td class="paramname"><em>c_entity</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a84f7a6477e0697c9fdcc84d7e783a8c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84f7a6477e0697c9fdcc84d7e783a8c4">&#9670;&nbsp;</a></span>DrawBody()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CQTOpenGLCrazyflie::DrawBody </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>The Crazyflie body </p>

</div>
</div>
<a id="a72b9e03a92628f46c2d3ec56624e8beb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72b9e03a92628f46c2d3ec56624e8beb">&#9670;&nbsp;</a></span>DrawCpuLED()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CQTOpenGLCrazyflie::DrawCpuLED </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>The Crazyflie CPU LED </p>

</div>
</div>
<a id="a209475f836b844cf62e905d928267f95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a209475f836b844cf62e905d928267f95">&#9670;&nbsp;</a></span>DrawPropellers()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CQTOpenGLCrazyflie::DrawPropellers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>The Crazyflie propellers </p>

</div>
</div>
<a id="ab6ec68c13ecbc9286a1d16c3c420adbe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6ec68c13ecbc9286a1d16c3c420adbe">&#9670;&nbsp;</a></span>DrawRods()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CQTOpenGLCrazyflie::DrawRods </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>The Crazyflie rods </p>

</div>
</div>
<a id="a3c35a2f74cdfbfdf44478d0b78f0bbbc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c35a2f74cdfbfdf44478d0b78f0bbbc">&#9670;&nbsp;</a></span>MakePropeller()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CQTOpenGLCrazyflie::MakePropeller </td>
          <td>(</td>
          <td class="paramtype">GLfloat&#160;</td>
          <td class="paramname"><em>angle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLfloat&#160;</td>
          <td class="paramname"><em>offset</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>A Crazyflie propeller </p>

</div>
</div>
<a id="a51a25256872be69602a3df5a7bd815d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51a25256872be69602a3df5a7bd815d8">&#9670;&nbsp;</a></span>MakeRod()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CQTOpenGLCrazyflie::MakeRod </td>
          <td>(</td>
          <td class="paramtype">GLfloat&#160;</td>
          <td class="paramname"><em>angle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>A Crazyflie rod </p>

</div>
</div>
<a id="ad0617308ac3f3ab2a43d8ea17184ad97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0617308ac3f3ab2a43d8ea17184ad97">&#9670;&nbsp;</a></span>MakeRotor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CQTOpenGLCrazyflie::MakeRotor </td>
          <td>(</td>
          <td class="paramtype">GLfloat&#160;</td>
          <td class="paramname"><em>offset</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>A Crazyflie rotor </p>

</div>
</div>
<a id="a40d23b13d0ce2f4cb18b6cd307490475"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40d23b13d0ce2f4cb18b6cd307490475">&#9670;&nbsp;</a></span>SetArrowMaterial()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CQTOpenGLCrazyflie::SetArrowMaterial </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets an arrow material </p>

</div>
</div>
<a id="a103605e46b7ae5a2b2357ea28f1f163d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a103605e46b7ae5a2b2357ea28f1f163d">&#9670;&nbsp;</a></span>SetBodyMaterial()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CQTOpenGLCrazyflie::SetBodyMaterial </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets a body material </p>

</div>
</div>
<a id="a3f76c917dfc433890b44d17c3dd7d16e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f76c917dfc433890b44d17c3dd7d16e">&#9670;&nbsp;</a></span>SetLEDMaterial()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CQTOpenGLCrazyflie::SetLEDMaterial </td>
          <td>(</td>
          <td class="paramtype">GLfloat&#160;</td>
          <td class="paramname"><em>f_red</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLfloat&#160;</td>
          <td class="paramname"><em>f_green</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLfloat&#160;</td>
          <td class="paramname"><em>f_blue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets a LED material </p>

</div>
</div>
<a id="a2481099216a43ba5b54d7f5c8de3338f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2481099216a43ba5b54d7f5c8de3338f">&#9670;&nbsp;</a></span>SetPropellerMaterial()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CQTOpenGLCrazyflie::SetPropellerMaterial </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets a propeller material </p>

</div>
</div>
<a id="ad66a8a0045d9bdedaaa4fd73a7e0d089"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad66a8a0045d9bdedaaa4fd73a7e0d089">&#9670;&nbsp;</a></span>SetRodMaterial()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CQTOpenGLCrazyflie::SetRodMaterial </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets a rod material </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/plugins/robots/crazyflie/simulator/<a class="el" href="qtopengl__crazyflie_8h_source.html">qtopengl_crazyflie.h</a></li>
<li>src/plugins/robots/crazyflie/simulator/<a class="el" href="qtopengl__crazyflie_8cpp.html">qtopengl_crazyflie.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
